## r-cran-tmb 1.7.15

=== DESCRIPTION ===
Package: TMB
Type: Package
Title: Template Model Builder: A General Random Effect Tool Inspired by
        'ADMB'
Version: 1.7.15
Date: 2018-11-08
Authors@R: c(person("Kasper","Kristensen",role=c("aut","cre","cph"),email="kaskr@dtu.dk"),
             person("Brad","Bell",role="cph"),
             person("Hans","Skaug",role="ctb"),
             person("Arni","Magnusson",role="ctb"),
             person("Casper","Berg",role="ctb"),
             person("Anders","Nielsen",role="ctb"),
             person("Martin","Maechler",role="ctb"),
             person("Theo","Michelot",role="ctb"),
             person("Mollie","Brooks",role="ctb"),
             person("Alex","Forrence",role="ctb"),
             person("Christoffer","Moesgaard Albertsen",role="ctb"),
             person("Cole","Monnahan",role="ctb") )
Maintainer: Kasper Kristensen <kaskr@dtu.dk>
Author: Kasper Kristensen [aut, cre, cph],
  Brad Bell [cph],
  Hans Skaug [ctb],
  Arni Magnusson [ctb],
  Casper Berg [ctb],
  Anders Nielsen [ctb],
  Martin Maechler [ctb],
  Theo Michelot [ctb],
  Mollie Brooks [ctb],
  Alex Forrence [ctb],
  Christoffer Moesgaard Albertsen [ctb],
  Cole Monnahan [ctb]
Copyright: See the file COPYRIGHTS
Description: With this tool, a user should be able to quickly implement
    complex random effect models through simple C++ templates. The package combines
    'CppAD' (C++ automatic differentiation), 'Eigen' (templated matrix-vector
    library) and 'CHOLMOD' (sparse matrix routines available from R) to obtain
    an efficient implementation of the applied Laplace approximation with exact
    derivatives. Key features are: Automatic sparseness detection, parallelism
    through 'BLAS' and parallel user templates.
License: GPL-2
URL: http://tmb-project.org
BugReports: https://github.com/kaskr/adcomp/issues
Depends: R (>= 3.0.0)
Imports: graphics, methods, stats, utils, Matrix (>= 1.0-12)
LinkingTo: Matrix, RcppEigen
Suggests: numDeriv, parallel
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-11-08 21:40:08 UTC; kaskr
Repository: CRAN
Date/Publication: 2018-11-09 16:40:14 UTC

=== debian/changelog ===
r-cran-tmb (1.7.15-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Sat, 11 May 2019 23:09:15 +0200

r-cran-tmb (1.7.15-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Nov 2018 09:11:40 +0100

r-cran-tmb (1.7.14-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Sun, 16 Sep 2018 08:21:52 +0200

r-cran-tmb (1.7.14-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Sun, 09 Sep 2018 22:41:38 +0200

r-cran-tmb (1.7.13-1) unstable; urgency=medium

  * Initial release (closes: #899991)

 -- Andreas Tille <tille@debian.org>  Thu, 24 May 2018 14:48:39 +0200

=== debian/control ===
Source: r-cran-tmb
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-cran-rcppeigen
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tmb
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tmb.git
Homepage: https://cran.r-project.org/package=TMB

Package: r-cran-tmb
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R template model builder: general random effect tool
 With this tool, a user should be able to quickly implement complex
 random effect models through simple C++ templates. The package combines
 'CppAD' (C++ automatic differentiation), 'Eigen' (templated matrix-vector
 library) and 'CHOLMOD' (sparse matrix routines available from R) to obtain an
 efficient implementation of the applied Laplace approximation with exact
 derivatives. Key features are: Automatic sparseness detection, parallelism
 through 'BLAS' and parallel user templates.

## r-cran-tmb 1.7.16

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Template Model Builder: A General Random Effect Tool Inspired by
         'ADMB'
-Version: 1.7.15
-Date: 2018-11-08
+Version: 1.7.16
+Date: 2020-01-15
 Authors@R: c(person("Kasper","Kristensen",role=c("aut","cre","cph"),email="kaskr@dtu.dk"),
              person("Brad","Bell",role="cph"),
              person("Hans","Skaug",role="ctb"),
@@ -46,6 +46,6 @@
 Suggests: numDeriv, parallel
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2018-11-08 21:40:08 UTC; kaskr
+Packaged: 2020-01-15 10:41:37 UTC; kaskr
 Repository: CRAN
-Date/Publication: 2018-11-09 16:40:14 UTC
+Date/Publication: 2020-01-15 13:30:02 UTC

=== debian/changelog ===
r-cran-tmb (1.7.16-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:36 +0100

r-cran-tmb (1.7.16-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jan 2020 21:09:33 +0100

r-cran-tmb (1.7.15-2) unstable; urgency=medium

  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Archive, Bug-Database.

 -- Andreas Tille <tille@debian.org>  Tue, 10 Sep 2019 08:26:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-matrix,
                r-cran-rcppeigen
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tmb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tmb.git
 Homepage: https://cran.r-project.org/package=TMB

## r-cran-tmb 1.7.18

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Template Model Builder: A General Random Effect Tool Inspired by
         'ADMB'
-Version: 1.7.16
-Date: 2020-01-15
+Version: 1.7.18
+Date: 2020-07-24
 Authors@R: c(person("Kasper","Kristensen",role=c("aut","cre","cph"),email="kaskr@dtu.dk"),
              person("Brad","Bell",role="cph"),
              person("Hans","Skaug",role="ctb"),
@@ -46,6 +46,6 @@
 Suggests: numDeriv, parallel
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2020-01-15 10:41:37 UTC; kaskr
+Packaged: 2020-07-24 14:10:07 UTC; kaskr
 Repository: CRAN
-Date/Publication: 2020-01-15 13:30:02 UTC
+Date/Publication: 2020-07-27 05:10:33 UTC

=== debian/changelog ===
r-cran-tmb (1.7.18-2) unstable; urgency=medium

  * Team upload
  * Add autopkgtest that fails when r-cran-matrix is upgraded and
    r-cran-tmb needs a rebuild (Closes: #980902)
  * Bump Standards-Version to 4.5.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Mon, 01 Feb 2021 08:31:55 +0000

r-cran-tmb (1.7.18-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2020 14:37:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-matrix,
                r-cran-rcppeigen
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tmb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tmb.git
 Homepage: https://cran.r-project.org/package=TMB
+Rules-Requires-Root: no
 
 Package: r-cran-tmb
 Architecture: any

## r-cran-tmb 1.7.22

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Template Model Builder: A General Random Effect Tool Inspired by
         'ADMB'
-Version: 1.7.18
-Date: 2020-07-24
+Version: 1.7.22
+Date: 2021-09-28
 Authors@R: c(person("Kasper","Kristensen",role=c("aut","cre","cph"),email="kaskr@dtu.dk"),
              person("Brad","Bell",role="cph"),
              person("Hans","Skaug",role="ctb"),
@@ -38,7 +38,7 @@
     derivatives. Key features are: Automatic sparseness detection, parallelism
     through 'BLAS' and parallel user templates.
 License: GPL-2
-URL: http://tmb-project.org
+URL: https://github.com/kaskr/adcomp/wiki
 BugReports: https://github.com/kaskr/adcomp/issues
 Depends: R (>= 3.0.0)
 Imports: graphics, methods, stats, utils, Matrix (>= 1.0-12)
@@ -46,6 +46,6 @@
 Suggests: numDeriv, parallel
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2020-07-24 14:10:07 UTC; kaskr
+Packaged: 2021-09-28 08:07:08 UTC; kaskr
 Repository: CRAN
-Date/Publication: 2020-07-27 05:10:33 UTC
+Date/Publication: 2021-09-28 09:30:02 UTC

=== debian/changelog ===
r-cran-tmb (1.7.22-2) unstable; urgency=medium

  * Team Upload.
  * Versioned dep on r-cran-matrix to get the
    latter migrate to testing (Closes: #1002525)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Dec 2021 00:01:07 +0530

r-cran-tmb (1.7.22-1) unstable; urgency=medium

  * Team Upload.
  * [4e16222] New upstream version 1.7.22
  * [8e3814b] Remove d/patches, revert manually set matrix package
    version in d/control since rmatrix has now migrated to testing

 -- Nilesh Patra <nilesh@debian.org>  Sun, 03 Oct 2021 00:52:48 +0530

r-cran-tmb (1.7.21-3) unstable; urgency=medium

  * Team Upload.
  * d/{p/fix_autopkgtest.patch,control}: Manually set
    matrix package to correct version

 -- Nilesh Patra <nilesh@debian.org>  Tue, 21 Sep 2021 00:49:51 +0530

r-cran-tmb (1.7.21-2) unstable; urgency=medium

  * Team Upload.
  * d/p/fix_autopkgtest.patch: Bump version of r-cran-matrix
    to match build version

 -- Nilesh Patra <nilesh@debian.org>  Sun, 19 Sep 2021 15:49:08 +0530

r-cran-tmb (1.7.21-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 14:04:45 +0200

r-cran-tmb (1.7.20-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 16 Aug 2021 17:59:16 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-matrix,
                r-cran-rcppeigen
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tmb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tmb.git
 Homepage: https://cran.r-project.org/package=TMB
@@ -19,7 +19,8 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-cran-matrix (>= 1.4-0-1~)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R template model builder: general random effect tool

=== debian/tests/control ===
Test-Command: R -e 'options("warn" = 2); library(TMB)'
Depends: r-cran-tmb
Restrictions: allow-stderr
Features: test-name=r-cran-matrix_compatibility

## r-cran-tmb 1.9.1

=== debian/changelog ===
r-cran-tmb (1.9.1-2) unstable; urgency=medium

  * Team Upload.
  * Re-add matrix to deps.
    Gosh, I hate dh-update-R pruning relevant stuff, so much

 -- Nilesh Patra <nilesh@debian.org>  Sat, 17 Sep 2022 23:42:28 +0530

r-cran-tmb (1.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.9.1

 -- Nilesh Patra <nilesh@debian.org>  Mon, 22 Aug 2022 17:45:04 +0530

r-cran-tmb (1.9.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 01 Jun 2022 13:12:50 +0200

r-cran-tmb (1.8.1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.8.1
  * d/control: Versioned Dependency on rmatrix

 -- Nilesh Patra <nilesh@debian.org>  Mon, 28 Mar 2022 02:42:12 +0530

r-cran-tmb (1.8.0-1) unstable; urgency=medium

  [ Graham Inggs ]
  * Mark r-cran-matrix_compatibility test superficial

  [ Andreas Tille ]
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 13 Mar 2022 22:29:14 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-matrix,
                r-cran-rcppeigen
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tmb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tmb.git
 Homepage: https://cran.r-project.org/package=TMB
@@ -20,7 +20,8 @@
 Depends: ${R:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         r-cran-matrix (>= 1.4-0-1~)
+# <dh-update-R>do not delete this</dh-update-R>
+         r-cran-matrix (>= 1.5-1-1~)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R template model builder: general random effect tool

## r-cran-tmb 1.9.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Template Model Builder: A General Random Effect Tool Inspired by
         'ADMB'
-Version: 1.7.22
-Date: 2021-09-28
+Version: 1.9.2
+Date: 2023-01-23
 Authors@R: c(person("Kasper","Kristensen",role=c("aut","cre","cph"),email="kaskr@dtu.dk"),
              person("Brad","Bell",role="cph"),
              person("Hans","Skaug",role="ctb"),
@@ -46,6 +46,6 @@
 Suggests: numDeriv, parallel
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2021-09-28 08:07:08 UTC; kaskr
+Packaged: 2023-01-23 15:59:45 UTC; kaskr
 Repository: CRAN
-Date/Publication: 2021-09-28 09:30:02 UTC
+Date/Publication: 2023-01-23 17:30:02 UTC

=== debian/changelog ===
r-cran-tmb (1.9.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 10:15:56 +0100

r-cran-tmb (1.9.1-4) unstable; urgency=medium

  * Fix versioned Depends
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jan 2023 19:22:05 +0100

r-cran-tmb (1.9.1-3) unstable; urgency=medium

  * Rebuild against latest version of r-cran-matrix
  * Keep patch and add DEP3, but deactivate patch.  It seems we
    should not ignore the signal a new rmatrix raises and rebuild
    this package accordingly afterwards

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 11:36:01 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-matrix,
                r-cran-rcppeigen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tmb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tmb.git
 Homepage: https://cran.r-project.org/package=TMB
@@ -21,7 +21,7 @@
          ${shlibs:Depends},
          ${misc:Depends},
 # <dh-update-R>do not delete this</dh-update-R>
-         r-cran-matrix (>= 1.5-1-1~)
+         r-cran-matrix (>= 1.5-3-1~)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R template model builder: general random effect tool

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name COPYING -delete

## r-cran-tmb 1.9.4

=== debian/changelog ===
r-cran-tmb (1.9.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 28 Jun 2023 15:48:20 +0200

## r-cran-tmb 1.9.6

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Template Model Builder: A General Random Effect Tool Inspired by
         'ADMB'
-Version: 1.9.2
-Date: 2023-01-23
+Version: 1.9.6
+Date: 2023-08-11
 Authors@R: c(person("Kasper","Kristensen",role=c("aut","cre","cph"),email="kaskr@dtu.dk"),
              person("Brad","Bell",role="cph"),
              person("Hans","Skaug",role="ctb"),
@@ -44,8 +44,8 @@
 Imports: graphics, methods, stats, utils, Matrix (>= 1.0-12)
 LinkingTo: Matrix, RcppEigen
 Suggests: numDeriv, parallel
-RoxygenNote: 6.0.1
+RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2023-01-23 15:59:45 UTC; kaskr
+Packaged: 2023-08-11 10:50:23 UTC; kaskr
 Repository: CRAN
-Date/Publication: 2023-01-23 17:30:02 UTC
+Date/Publication: 2023-08-11 12:43:59 UTC

=== debian/changelog ===
r-cran-tmb (1.9.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 25 Aug 2023 13:39:45 +0200

## r-cran-tmb 1.9.10

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Template Model Builder: A General Random Effect Tool Inspired by
         'ADMB'
-Version: 1.9.6
-Date: 2023-08-11
+Version: 1.9.10
+Date: 2023-12-12
 Authors@R: c(person("Kasper","Kristensen",role=c("aut","cre","cph"),email="kaskr@dtu.dk"),
              person("Brad","Bell",role="cph"),
              person("Hans","Skaug",role="ctb"),
@@ -46,6 +46,6 @@
 Suggests: numDeriv, parallel
 RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2023-08-11 10:50:23 UTC; kaskr
+Packaged: 2023-12-12 14:28:28 UTC; kaskr
 Repository: CRAN
-Date/Publication: 2023-08-11 12:43:59 UTC
+Date/Publication: 2023-12-12 16:40:09 UTC

=== debian/changelog ===
r-cran-tmb (1.9.10-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2023 10:12:24 +0100

r-cran-tmb (1.9.7-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Nov 2023 18:21:26 +0100

r-cran-tmb (1.9.6-8) unstable; urgency=medium

  * Build against r-cran-matrix 1.6-3
  * Revert the strong dependency from r-cran-matrix version
    (see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1055922#68)

 -- Andreas Tille <tille@debian.org>  Sun, 19 Nov 2023 16:51:09 +0100

r-cran-tmb (1.9.6-7) unstable; urgency=medium

  * Build against r-cran-matrix 1.6-2

 -- Andreas Tille <tille@debian.org>  Mon, 13 Nov 2023 13:46:13 +0100

r-cran-tmb (1.9.6-6) unstable; urgency=medium

  * Add strong dependency from r-cran-matrix version
  * Add dependency from r-base-core version

 -- Andreas Tille <tille@debian.org>  Mon, 06 Nov 2023 21:13:25 +0100

r-cran-tmb (1.9.6-5) unstable; urgency=medium

  * Due to the different sorting of '-' and '.' we really need to
    create a dependency from the actual r-cran-matrix Debian release
    version

 -- Andreas Tille <tille@debian.org>  Thu, 02 Nov 2023 14:44:29 +0100

r-cran-tmb (1.9.6-4) unstable; urgency=medium

  * Make sure the Debian versions will not be messed up due to the
    hyphen in R package version

 -- Andreas Tille <tille@debian.org>  Thu, 26 Oct 2023 12:05:41 +0200

r-cran-tmb (1.9.6-3) unstable; urgency=medium

  * Rebuild and force versioned depends r-cran-matrix (>= 1.6-1.1)

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2023 15:06:11 +0200

r-cran-tmb (1.9.6-2) unstable; urgency=medium

  * Rebuild agains rmatrix 1.6-1.1-1
    Closes: #1054323

 -- Andreas Tille <tille@debian.org>  Sun, 22 Oct 2023 14:29:06 +0200

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,7 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-# <dh-update-R>do not delete this</dh-update-R>
-         r-cran-matrix (>= 1.5-3-1~)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R template model builder: general random effect tool

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,13 @@
 override_dh_install:
 	dh_install
 	find debian -name COPYING -delete
+
+override_dh_gencontrol:
+	rmbversion=`dpkg -l r-cran-matrix | grep 'ii' | sed 's/^.*r-cran-matrix[[:space:]]\+\([0-9.-]\+\)[[:space:]]\+.*/\1/'`; \
+	sed -i "s/r-cran-matrix ([^)]\+)/r-cran-matrix (>= $${rmbversion})/" debian/*substvars
+	rversion=`dpkg -l r-base-core | grep 'ii' | sed 's/^.*r-base-core[[:space:]]\+\([0-9.-]\+\)-[0-9]\+[[:space:]]\+.*/\1/'`; \
+	sed -i "s/\(r-api-[0-9.]\+\),/& r-base-core (>= $${rversion})/" debian/*substvars
+	dh_gencontrol
+
+#	This is to strict - see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1055922#68
+#	sed -i "s/r-cran-matrix ([^)]\+)/r-cran-matrix (>= $${rmbversion}), r-cran-matrix (< $${rmbversion}99)/" debian/*substvars

## r-cran-tmb 1.9.11

=== debian/changelog ===
r-cran-tmb (1.9.11-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against latest Matrix (Closes: #1070240)

 -- Charles Plessy <plessy@debian.org>  Tue, 07 May 2024 10:04:15 +0900

r-cran-tmb (1.9.11-1) unstable; urgency=medium

  * Fix regexp to detect r-base-core version in case of binary only NMUs
    Closes: #1069364
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 24 Apr 2024 08:40:09 +0200

## r-cran-tmb 1.9.13

=== debian/changelog ===
r-cran-tmb (1.9.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 02 Jul 2024 08:54:45 +0900

## r-cran-tmb 1.9.14

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Template Model Builder: A General Random Effect Tool Inspired by
         'ADMB'
-Version: 1.9.10
-Date: 2023-12-12
+Version: 1.9.14
+Date: 2024-07-03
 Authors@R: c(person("Kasper","Kristensen",role=c("aut","cre","cph"),email="kaskr@dtu.dk"),
              person("Brad","Bell",role="cph"),
              person("Hans","Skaug",role="ctb"),
@@ -46,6 +46,6 @@
 Suggests: numDeriv, parallel
 RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2023-12-12 14:28:28 UTC; kaskr
+Packaged: 2024-07-03 08:04:17 UTC; kaskr
 Repository: CRAN
-Date/Publication: 2023-12-12 16:40:09 UTC
+Date/Publication: 2024-07-03 13:20:01 UTC

=== debian/changelog ===
r-cran-tmb (1.9.14-2) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Restrict to 64-bits architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 03 Sep 2024 08:43:57 +0900

r-cran-tmb (1.9.14-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 09 Aug 2024 07:25:50 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
                dh-r,
                r-base-dev,
                r-cran-matrix,
-               r-cran-rcppeigen
-Standards-Version: 4.6.2
+               r-cran-rcppeigen,
+               architecture-is-64-bit
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tmb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tmb.git
 Homepage: https://cran.r-project.org/package=TMB

## r-cran-tmb 1.9.15

=== debian/changelog ===
r-cran-tmb (1.9.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 29 Oct 2024 08:51:34 +0900

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-cran-tmb
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tmb
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tmb.git
+Homepage: https://cran.r-project.org/package=TMB
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-matrix,
+               r-cran-matrix (>= 1.6-1.1),
                r-cran-rcppeigen,
                architecture-is-64-bit
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tmb
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tmb.git
-Homepage: https://cran.r-project.org/package=TMB
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-tmb
 Architecture: any

## r-cran-tmb 1.9.16

=== debian/changelog ===
r-cran-tmb (1.9.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 11:49:03 +0900

## r-cran-tmb 1.9.17

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Template Model Builder: A General Random Effect Tool Inspired by
         'ADMB'
-Version: 1.9.14
-Date: 2024-07-03
+Version: 1.9.17
+Date: 2025-03-08
 Authors@R: c(person("Kasper","Kristensen",role=c("aut","cre","cph"),email="kaskr@dtu.dk"),
              person("Brad","Bell",role="cph"),
              person("Hans","Skaug",role="ctb"),
@@ -46,6 +46,6 @@
 Suggests: numDeriv, parallel
 RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2024-07-03 08:04:17 UTC; kaskr
+Packaged: 2025-03-08 10:47:07 UTC; kaskr
 Repository: CRAN
-Date/Publication: 2024-07-03 13:20:01 UTC
+Date/Publication: 2025-03-10 08:30:06 UTC

=== inst/include/cppad/CMakeLists.txt ===
# $Id:$
# -----------------------------------------------------------------------------
# CppAD: C++ Algorithmic Differentiation: Copyright (C) 2003-15 Bradley M. Bell
#
# CppAD is distributed under multiple licenses. This distribution is under
# the terms of the
#                     GNU General Public License Version 3.
#
# A copy of this license is included in the COPYING file of this distribution.
# Please visit http://www.coin-or.org/CppAD/ for information on other licenses.
# -----------------------------------------------------------------------------
# Build the cppad/configure.hpp file.
# Inherit environment from ../CMakeLists.txt
# -----------------------------------------------------------------------------
MACRO(check_match match_variable match_constant output_variable)
	STRING(COMPARE EQUAL ${${match_variable}} ${match_constant} match_flag )
	IF( match_flag )
		SET(${output_variable} 1)
	ELSE( match_flag )
		SET(${output_variable} 0)
	ENDIF( match_flag )
	MESSAGE(STATUS "${output_variable} = ${${output_variable}}" )
ENDMACRO(check_match)
# -----------------------------------------------------------------------------
# command line arguments
#
# cppad_testvector
command_line_arg(cppad_testvector cppad STRING
"Namespace of vector used for testing, one of: boost, cppad, eigen, std"
)
#
# cppad_max_num_threads
command_line_arg(cppad_max_num_threads 48 STRING
	"maximum number of threads that CppAD can use use"
)
# cppad_sparse_list
command_line_arg(cppad_sparse_list YES BOOL
	"use sparse list for internal sparse set representation"
)
#
# cppad_tape_id_type
command_line_arg(cppad_tape_id_type "unsigned int" STRING
	"type used to identify different tapes, size must be <= sizeof(size_t)"
)
#
# cppad_tape_addr_type
command_line_arg(cppad_tape_addr_type "unsigned int" STRING
"type used to identify variables on one tape, size must be <= sizeof(size_t)"
)
#
# cppad_implicit_ctor_from_any_type
command_line_arg(cppad_implicit_ctor_from_any_type NO BOOL
	"implicit (instead of explicit) conversion from any type to AD<Base>"
)
# -----------------------------------------------------------------------------
# cppad_explicit_ctor
IF( cppad_implicit_ctor_from_any_type )
	SET(cppad_implicit_ctor_from_any_type 1)
ELSE( cppad_implicit_ctor_from_any_type )
	SET(cppad_implicit_ctor_from_any_type 0)
ENDIF( cppad_implicit_ctor_from_any_type )
# -----------------------------------------------------------------------------
# cppad_internal_sparse_set
#
IF( cppad_sparse_list )
	SET(cppad_internal_sparse_set  sparse_list )
ELSE( cppad_sparse_list )
	SET(cppad_internal_sparse_set  sparse_set )
ENDIF( cppad_sparse_list )
MESSAGE(STATUS "cppad_internal_sparse_set = ${cppad_internal_sparse_set}" )
#
# -----------------------------------------------------------------------------
# cppad_boostvector, cppad_cppadvector, cppad_eigenvector, cppad_stdvector
#
check_match(cppad_testvector boost cppad_boostvector)
check_match(cppad_testvector cppad cppad_cppadvector)
check_match(cppad_testvector eigen cppad_eigenvector)
check_match(cppad_testvector std   cppad_stdvector)
IF( NOT cppad_boostvector )
IF( NOT cppad_cppadvector )
IF( NOT cppad_eigenvector )
IF( NOT cppad_stdvector )
MESSAGE(FATAL_ERROR
"cppad_testvector not one of following: boost, cppad, eigen, std."
)
ENDIF( NOT cppad_stdvector )
ENDIF( NOT cppad_eigenvector )
ENDIF( NOT cppad_cppadvector )
ENDIF( NOT cppad_boostvector )

IF( cppad_boostvector )
	# FIND_PACKAGE(Boost) done by ../CMakeLists.txt
	IF( NOT Boost_FOUND )
		MESSAGE(FATAL_ERROR
"cppad_testvector == boost but cannot find boost include files"
		)
	ENDIF( NOT Boost_FOUND )
ENDIF( cppad_boostvector )
#
IF( cppad_eigenvector )
	IF( NOT eigen_prefix )
		MESSAGE(FATAL_ERROR
"cppad_testvector == eigen but eigen_prefix is not specified"
		)
	ENDIF( NOT eigen_prefix )
ENDIF( cppad_eigenvector )

# =============================================================================
# Begin C++11 features
# -----------------------------------------------------------------------------
# cppad_has_rvalue
#
SET(source "
int main(void)
{	int&& value = 1 + 2;
	if( value != 3 )
		return 1;
	return 0;
}"
)
check_source_runs("${source}" cppad_has_rvalue)
# -----------------------------------------------------------------------------
# cppad_has_nullptr
#
SET(source "
int main(void)
{	char *c = nullptr;
	return 0;
}"
)
check_source_runs("${source}" cppad_has_nullptr)
# -----------------------------------------------------------------------------
# cppad_has_cstdint_8_to_64
#
SET(source "
# include <cstdint>
template <class T> inline bool is_pod(void)               { return false; }
template <>        inline bool is_pod<uint8_t>(void)      { return true;  }
template <>        inline bool is_pod<uint16_t>(void)     { return true;  }
template <>        inline bool is_pod<uint32_t>(void)     { return true;  }
template <>        inline bool is_pod<uint64_t>(void)     { return true;  }
int main(void)
{	return 0; }
"
)
check_source_runs("${source}" cppad_has_cstdint_8_to_64)
# -----------------------------------------------------------------------------
# cppad_compiler_has_erf
#
SET(source "
# include <cmath>
int main(void)
{	if( std::erf(0.0) == 0.0 )
		return 0;
	return 1;
}
"
)
check_source_runs("${source}" cppad_compiler_has_erf)
# -----------------------------------------------------------------------------
# cppad_has_high_resolution_clock
#
SET(source "
# include <chrono>
int main(void)
{	std::chrono::time_point<std::chrono::high_resolution_clock> start, end;
    start = std::chrono::high_resolution_clock::now();
    end   = std::chrono::high_resolution_clock::now();
    std::chrono::duration<double> difference = end - start;
	double elapsed_seconds = difference.count();
	if( elapsed_seconds > 0.0 )
		return 0;
	return 1;
}
"
)
check_source_runs("${source}" cppad_has_high_resolution_clock)
# =============================================================================
# End C++11 features
# -----------------------------------------------------------------------------
# cppad_has_gettimeofday
#
SET(source "
# include<sys/time.h>
int main(void)
{	struct timeval time;
	gettimeofday(&time, 0);
	return 0;
}"
)
check_source_runs("${source}" cppad_has_gettimeofday)
# -----------------------------------------------------------------------------
# cppad_size_t_not_unsigned_int
#
SET(source "
# include <cstring>
template <class T> inline bool is_pod(void)               { return false; }
template <>        inline bool is_pod<unsigned int>(void) { return true;  }
template <>        inline bool is_pod<size_t>(void)       { return true;  }
int main(void)
{	return 0; }
"
)
check_source_runs("${source}" cppad_size_t_not_unsigned_int)
# -----------------------------------------------------------------------------
# cppad_tape_addr_type, cppad_tape_id_type
#
FOREACH(cmake_var cppad_tape_id_type cppad_tape_addr_type )
	SET(source "
# include <limits>
int main(void)
{	bool is_unsigned = ! std::numeric_limits<${${cmake_var}}>::is_signed;
	return int(! is_unsigned);
}
"
	)
	check_source_runs("${source}" ${cmake_var}_is_unsigned)
	IF( ${cmake_var}_is_unsigned STREQUAL 0  )
		MESSAGE(STATUS
"Warning: using a signed ${cmake_var} is for CppAD developers only !"
	)
	ENDIF( ${cmake_var}_is_unsigned STREQUAL 0  )
ENDFOREACH( cmake_var )
# -----------------------------------------------------------------------------
# cppad_max_num_threads
#
SET(CMAKE_REQUIRED_INCLUDES  "")
SET(CMAKE_REQUIRED_LIBRARIES "")
SET(CMAKE_REQUIRED_FLAGS     )
SET(source "
int main(void)
{	const char* number = \"${cppad_max_num_threads}\";
	int value = 0;
	while( *number == ' ' )
		number++;
	while( '0' <= *number && *number <= '9' )
	{	value = 10 * value + (int)(*number - '0');
		number++;
	}
	while( *number == ' ' )
		number++;
	if( *number != char(0) )
		return 1;
	if( value < 4 )
		return 1;
	return 0;
}
" )
CHECK_CXX_SOURCE_RUNS("${source}" cppad_max_num_threads_is_integer_ge_4)
IF( NOT cppad_max_num_threads_is_integer_ge_4 )
	MESSAGE(FATAL_ERROR
	"cppad_max_num_threads is not an integer greater than or equal 4"
	)
ENDIF( NOT cppad_max_num_threads_is_integer_ge_4 )

# -----------------------------------------------------------------------------
# Copy a file to another location and modify its contents.
# configure_file(InputFile OutputFile [COPYONLY] [ESCAPE_QUOTES] [@ONLY])
CONFIGURE_FILE(
	${CMAKE_CURRENT_SOURCE_DIR}/configure.hpp.in
	${CMAKE_CURRENT_SOURCE_DIR}/configure.hpp
)

=== debian/changelog ===
r-cran-tmb (1.9.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Mar 2025 15:33:24 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tmb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tmb.git
 Homepage: https://cran.r-project.org/package=TMB
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 override_dh_gencontrol:
 	rmbversion=`dpkg -l r-cran-matrix | grep 'ii' | sed 's/^.*r-cran-matrix[[:space:]]\+\([0-9.-]\+\)[[:space:]]\+.*/\1/'`; \
 	sed -i "s/r-cran-matrix ([^)]\+)/r-cran-matrix (>= $${rmbversion})/" debian/*substvars
-	rversion=`dpkg -l r-base-core | grep 'ii' | sed 's/^.*r-base-core[[:space:]]\+\([0-9.-]\+\)-[0-9]\+[[:space:]]\+.*/\1/'`; \
+	rversion=`dpkg -l r-base-core | grep 'ii' | sed 's/^.*r-base-core[[:space:]]\+\([0-9.-]\+\)-[0-9+b]\+[[:space:]]\+.*/\1/'`; \
 	sed -i "s/\(r-api-[0-9.]\+\),/& r-base-core (>= $${rversion})/" debian/*substvars
 	dh_gencontrol

=== debian/tests/control ===
Test-Command: R -e 'options("warn" = 2); library(TMB)'
Depends: r-cran-tmb
Restrictions: allow-stderr, superficial
Features: test-name=r-cran-matrix_compatibility

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/TMB_([-\d.]*)\.tar\.gz

## r-cran-tmb 1.9.19

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Template Model Builder: A General Random Effect Tool Inspired by
         'ADMB'
-Version: 1.9.17
-Date: 2025-03-08
+Version: 1.9.19
+Date: 2025-12-15
 Authors@R: c(person("Kasper","Kristensen",role=c("aut","cre","cph"),email="kaskr@dtu.dk"),
              person("Brad","Bell",role="cph"),
              person("Hans","Skaug",role="ctb"),
@@ -46,6 +46,6 @@
 Suggests: numDeriv, parallel
 RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2025-03-08 10:47:07 UTC; kaskr
+Packaged: 2025-12-15 11:55:13 UTC; kaskr
 Repository: CRAN
-Date/Publication: 2025-03-10 08:30:06 UTC
+Date/Publication: 2025-12-15 15:00:07 UTC

=== debian/changelog ===
r-cran-tmb (1.9.19-2) unstable; urgency=medium

  * Team upload.
  * Make r-cran-matrix version parsing resistant to binNMUs.
    Closes: #1127534

 -- Charles Plessy <plessy@debian.org>  Tue, 10 Feb 2026 08:48:58 +0900

r-cran-tmb (1.9.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 08 Jan 2026 13:09:46 +0900

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

RMBVERSION := $(shell dpkg-query -W -f='$${Version}\n' r-cran-matrix)
RVERSION   := $(shell dpkg-query -W -f='$${source:Upstream-Version}\n' r-base-core)

override_dh_install:
	dh_install
	find debian -name COPYING -delete

override_dh_gencontrol:
	sed -i "s/r-cran-matrix[^,]*/r-cran-matrix (>= $(RMBVERSION))/"   debian/*substvars
	sed -i "s/\(r-api-[0-9.]\+\),/\1, r-base-core (>= $(RVERSION)),/" debian/*substvars
	dh_gencontrol
